|  | Home | Documentation | a__address Class Reference updated Fri Jan 12 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
a__address Class Reference

An address information item. More...

`#include <address.h>`

## Public Member Functions
virtual int | soap_type (void) const
| Return unique type id SOAP_TYPE_a__address. More...
virtual void | soap_default (struct soap *)
| (Re)set members to default values More...
virtual void | soap_serialize (struct soap *) const
| Serialize object to prepare for SOAP 1.1/1.2 encoded output (or with SOAP_XML_GRAPH) by analyzing its (cyclic) structures. More...
virtual int | soap_put (struct soap *, const char *tag, const char *type) const
| Output object in XML, compliant with SOAP 1.1 encoding style, return error code or SOAP_OK. More...
virtual int | soap_out (struct soap *, const char *tag, int id, const char *type) const
| Output object in XML, with tag and optional id attribute and xsi:type, return error code or SOAP_OK. More...
virtual void * | soap_get (struct soap *, const char *tag, const char *type)
| Get object from XML, compliant with SOAP 1.1 encoding style, return pointer to object or NULL on error. More...
virtual void * | soap_in (struct soap *, const char *tag, const char *type)
| Get object from XML, with matching tag and type (NULL matches any tag and type), return pointer to object or NULL on error. More...
virtual a__address * | soap_alloc (void) const
| Return a new object of type a__address, default initialized and not managed by a soap context. More...
| a__address ()
| Constructor with initializations. More...
virtual | ~a__address ()

## Public Attributes
std::string | name
| Element name of type xs:string. More...
std::string | street
| Element street of type xs:string. More...
std::string | city
| Element city of type xs:string. More...
std::string | zip
| Element zip of type xs:string. More...
enum a__ISO_country | country = a__ISO_country__us
| Element country of type "":ISO-country. More...
std::string * | phone
| Element phone of type xs:string. More...
std::string * | mobile
| Element mobile of type xs:string. More...
time_t * | dob
| Element dob of type xs:dateTime. More...
int | ID
| Attribute ID of type xs:int. More...
struct soap * | soap
| A handle to the soap struct that manages this instance (automatically set) More...

## Friends
SOAP_FMAC1 a__address *SOAP_FMAC2 | address_instantiate_a__address (struct soap *, int, const char *, const char *, size_t *)
| Friend allocator used by soap_new_a__address(struct soap*, int) More...

## Detailed Description

An address information item.

"urn:address-book-example":address is a complexType.

Definition at line 177 of file address.h.

## Constructor & Destructor Documentation

a__address::a__address | ( |  | ) |
| inline

Constructor with initializations.

Definition at line 112 of file addressStub.h.

virtual a__address::~a__address | ( |  | ) |
| inline virtual

Definition at line 121 of file addressStub.h.

## Member Function Documentation

virtual a__address* a__address::soap_alloc | ( | void |  | ) | const
| inline virtual

Return a new object of type a__address, default initialized and not managed by a soap context.

Definition at line 109 of file addressStub.h.

virtual void a__address::soap_default | ( | struct soap * |  | ) |
| virtual

(Re)set members to default values

virtual void* a__address::soap_get | ( | struct soap * | ,
|  | const char * | tag,
|  | const char * | type
| ) |  |
| virtual

Get object from XML, compliant with SOAP 1.1 encoding style, return pointer to object or NULL on error.

virtual void* a__address::soap_in | ( | struct soap * | ,
|  | const char * | tag,
|  | const char * | type
| ) |  |
| virtual

Get object from XML, with matching tag and type (NULL matches any tag and type), return pointer to object or NULL on error.

virtual int a__address::soap_out | ( | struct soap * | ,
|  | const char * | tag,
|  | int | id,
|  | const char * | type
| ) |  | const
| virtual

Output object in XML, with tag and optional id attribute and xsi:type, return error code or SOAP_OK.

virtual int a__address::soap_put | ( | struct soap * | ,
|  | const char * | tag,
|  | const char * | type
| ) |  | const
| virtual

Output object in XML, compliant with SOAP 1.1 encoding style, return error code or SOAP_OK.

virtual void a__address::soap_serialize | ( | struct soap * |  | ) | const
| virtual

Serialize object to prepare for SOAP 1.1/1.2 encoded output (or with SOAP_XML_GRAPH) by analyzing its (cyclic) structures.

virtual int a__address::soap_type | ( | void |  | ) | const
| inline virtual

Return unique type id SOAP_TYPE_a__address.

Definition at line 95 of file addressStub.h.

## Friends And Related Function Documentation

SOAP_FMAC1 a__address* SOAP_FMAC2 address_instantiate_a__address | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |
| friend

Friend allocator used by soap_new_a__address(struct soap*, int)

## Member Data Documentation

std::string a__address::city

Element city of type xs:string.

Required element 'city' of XSD type 'xsd:string'.

Required element.

Definition at line 184 of file address.h.

enum a__ISO_country a__address::country = a__ISO_country__us

Element country of type "":ISO-country.

Optional element 'country' of XSD type 'a:ISO-country'.

Default value="us".

initialized with default value = (enum a__ISO_country)10

Definition at line 188 of file address.h.

time_t * a__address::dob

Element dob of type xs:dateTime.

Optional element 'dob' of XSD type 'xsd:dateTime'.

Nullable pointer.

Definition at line 194 of file address.h.

int a__address::ID

Attribute ID of type xs:int.

required attribute 'ID' of XSD type 'xsd:int'

Required attribute.

Definition at line 196 of file address.h.

std::string * a__address::mobile

Element mobile of type xs:string.

Optional element 'mobile' of XSD type 'xsd:string'.

Nullable pointer.

Definition at line 192 of file address.h.

std::string a__address::name

Element name of type xs:string.

Required element 'name' of XSD type 'xsd:string'.

Required element.

Definition at line 180 of file address.h.

std::string * a__address::phone

Element phone of type xs:string.

Optional element 'phone' of XSD type 'xsd:string'.

Nullable pointer.

Definition at line 190 of file address.h.

struct soap * a__address::soap

A handle to the soap struct that manages this instance (automatically set)

Context that manages this object.

Definition at line 198 of file address.h.

std::string a__address::street

Element street of type xs:string.

Required element 'street' of XSD type 'xsd:string'.

Required element.

Definition at line 182 of file address.h.

std::string a__address::zip

Element zip of type xs:string.

Required element 'zip' of XSD type 'xsd:string'.

Required element.

Definition at line 186 of file address.h.

The documentation for this class was generated from the following files:

- address.h
- addressStub.h